import { statusCodes } from '../utils/statusCodes.js';

const LOCK_PIN = 8;

let locked = true;
function is_locked() {
  return locked;
}

function lock() {
  locked = true;
}

function unlock() {
  locked = false;
}

export async function lockAbl(req, res) {
  if (is_locked()) {
    return res.status(statusCodes.OK).send("Already locked");
  }

  lock();

  return res.status(statusCodes.OK).send("Locked");
}

export async function unlockAbl(req, res) {
  if (!is_locked()) {
    return res.status(statusCodes.OK).send("Already unlocked");
  }

  unlock();

  return res.status(statusCodes.OK).send("Unlocked");
}
