import express from "express";
import cors from "cors";
import basicAuth from 'express-basic-auth';
const app = express();

import dotenv from 'dotenv';
dotenv.config();

app.use(express.json());
app.use(
  express.urlencoded({
    extended: true,
  })
);

import { myAuthorizer } from "./utils/auth.js"
app.use(basicAuth({
  authorizer: myAuthorizer,
  challenge: true // <--- needed to actually show the login dialog!
}));

app.use(cors());
const port = process.env.PORT || 5500; 
app.listen(port);

console.log("Server started on localhost:" + port);

import { logger } from "./middleware/logger.js";

import { lock } from "./controller/lock-controller.js";
app.use("/api/lock", logger, lock);
